Bug 1253013 - [abrt] blivet-gui: FormatCreateError: ('format failed: 1', u'/dev/mmcblk0p1')
[abrt] blivet-gui: FormatCreateError: ('format failed: 1', u'/dev/mmcblk0p1')
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a1c1c8d7071703bde4995b8c3b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 13:45 EDT by Martin Kolman
Modified: 2015-11-19 04:59 EST (History)
2 users (show)

See Also:
Fixed In Version: blivet-gui-1.0.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 04:59:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.25 KB, text/plain)
2015-08-12 13:45 EDT, Martin Kolman
no flags Details
File: blivet-gui-tb (811.23 KB, text/plain)
2015-08-12 13:46 EDT, Martin Kolman
no flags Details
File: blivet.log (705.52 KB, text/plain)
2015-08-12 13:46 EDT, Martin Kolman
no flags Details
File: description (1.33 KB, text/plain)
2015-08-12 13:46 EDT, Martin Kolman
no flags Details
File: environ (232 bytes, text/plain)
2015-08-12 13:46 EDT, Martin Kolman
no flags Details
File: program.log (104.22 KB, text/plain)
2015-08-12 13:46 EDT, Martin Kolman
no flags Details

  None (edit)
Description Martin Kolman 2015-08-12 13:45:54 EDT
Description of problem:
I made the unfortunate decision to use Blivet-GUI to format a 64 GB micro SD card with NTFS. After it was taking abount an hour to do that I left it running and went AFK. when I got back I was greeted by this traceback.

Version-Release number of selected component:
blivet-gui-0.2.8-1.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
blivet-gui.log: 
cmdline:        /usr/bin/python  /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
hashmarkername: blivet-gui
kernel:         4.1.3-200.fc22.x86_64
other involved packages: python-blivet-1.0.10-1.fc22.noarch
product:        Fedora
release:        Fedora release 22 (Twenty Two)
type:           Python
version:        22

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blivetgui/blivetgui.py", line 459, in end
    self._raise_exception(error, traceback)
  File "/usr/lib/python2.7/site-packages/blivetgui/blivetgui.py", line 232, in _raise_exception
    raise six.reraise(type(exception), exception, traceback)
  File "/usr/lib/python2.7/site-packages/blivetgui/blivetgui.py", line 466, in do_it
    self.blivet_utils.blivet_do_it()
  File "/usr/lib/python2.7/site-packages/blivetgui/utils.py", line 1216, in blivet_do_it
    self.storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/blivet.py", line 162, in doIt
    self.devicetree.processActions(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 365, in processActions
    action.execute(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 578, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 873, in create
    return self.doFormat(options=kwargs.get('options'))
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 422, in doFormat
    raise FormatCreateError("format failed: %s" % ret, self.device)
FormatCreateError: ('format failed: 1', u'/dev/mmcblk0p1')
Comment 1 Martin Kolman 2015-08-12 13:45:57 EDT
Created attachment 1062156 [details]
File: backtrace
Comment 2 Martin Kolman 2015-08-12 13:46:03 EDT
Created attachment 1062157 [details]
File: blivet-gui-tb
Comment 3 Martin Kolman 2015-08-12 13:46:08 EDT
Created attachment 1062158 [details]
File: blivet.log
Comment 4 Martin Kolman 2015-08-12 13:46:10 EDT
Created attachment 1062159 [details]
File: description
Comment 5 Martin Kolman 2015-08-12 13:46:11 EDT
Created attachment 1062160 [details]
File: environ
Comment 6 Martin Kolman 2015-08-12 13:46:13 EDT
Created attachment 1062161 [details]
File: program.log
Comment 7 Chris Murphy 2015-08-14 18:35:38 EDT
INFO:program: Running... mkntfs /dev/mmcblk0p1
INFO:program: stdout:
INFO:program: Cluster size has been automatically set to 4096 bytes.
INFO:program: Initializing device with zeroes:   0%  0%  1%  2%  3%  4%  5%  6%  7%  8%  9% 10% 11% 12% 13% 14% 15% 16% 17% 18% 19% 20% 21% 22% 23% 24% 25% 26% 27% 28% 29% 30% 31% 32% 33% 34% 35% 36% 37% 38% 39% 40% 41% 42% 43% 44% 45% 46% 47% 48% 49% 50% 51% 52% 53% 54% 55% 56% 57% 58% 59% 60% 61% 62% 63% 64% 65% 66% 67% 68% 69% 70% 71% 72% 73% 74% 75% 76% 77% 78% 79% 80% 81% 82% 83% 84% 85% 86% 87% 88% 89% 90% 91% 92% 93% 94% 95% 96% 97% 98% 99%100% - Done.
INFO:program: Creating NTFS volume structures.
INFO:program: stderr:
INFO:program: Failed to sync device /dev/mmcblk0p1: Input/output error


I don't see dmesg so no kernel messages unfortunately if there was some state change with the sdcard. I wonder if it can be formatted manually?

At this point, it's a bug that mkntfs by default zeros devices. blivet-gui should suppress this with -f by default these days, it's an antiquated feature and isn't helpful for flash media especially.
Comment 8 Martin Kolman 2015-08-24 04:56:36 EDT
(In reply to Chris Murphy from comment #7)
> I don't see dmesg so no kernel messages unfortunately if there was some
> state change with the sdcard. I wonder if it can be formatted manually?
I was able to successfully format it afterwards with GParted. The formatting was also almost instant - so GParted is probably making use of the -f option for mkntfs.
Comment 9 Fedora Update System 2015-11-09 04:57:52 EST
blivet-gui-1.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0d1622e461
Comment 10 Fedora Update System 2015-11-09 22:22:48 EST
blivet-gui-1.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update blivet-gui'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0d1622e461
Comment 11 Fedora Update System 2015-11-19 04:59:34 EST
blivet-gui-1.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.